import { Task, BaseTask, NormalizedLintResult, TaskContext } from '@checkup/core';
import { Result } from 'sarif';
export default class EslintDisableTask extends BaseTask implements Task {
    taskName: string;
    taskDisplayName: string;
    description: string;
    category: string;
    group: string;
    constructor(pluginName: string, context: TaskContext);
    run(): Promise<Result[]>;
    getEslintDisables(filePaths: string[], cwd: string): Promise<NormalizedLintResult[]>;
}
//# sourceMappingURL=eslint-disable-task.d.ts.map