import { BaseTask, Task, TaskContext } from '@checkup/core';
import { Result } from 'sarif';
export default class LinesOfCodeTask extends BaseTask implements Task {
    taskName: string;
    taskDisplayName: string;
    description: string;
    category: string;
    constructor(pluginName: string, context: TaskContext);
    run(): Promise<Result[]>;
    getLinesOfCode(): Promise<{
        filePath: string;
        extension: string;
        lines: number;
    }[]>;
}
//# sourceMappingURL=lines-of-code-task.d.ts.map